For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a Transaction

Create a transaction along with a set of components . Components can either be of type InternalSupplierComponent or DdsReferenceComponent (if a previous dds is available)

Create a transaction for a business.

post

Create a transaction for a business.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
customIdstringOptional

Custom identifier. Can be used for internal reference or tracking purposes. If not provided, generates a default Id

Example: DEC-24-238620
activityTypestringRequired

Type of transaction to be performed. Can be one of: IMPORT, EXPORT, DOMESTIC, TRADE.

Example: EXPORT
countryOfActivitystringRequired

Two-letter country code (ISO 3166 Alpha-2) of the place of activity. Depends on activityType. For import, Country of entry into the EU. For Export, Country of exit from the EU. For Domestic Production and Trade, EU country where goods are sourced, manufactured or produced or made available on the market.

Example: IT
legalEntityIdstringOptional

The id of the legal entity containing company details (name, address, EORI, etc.) that will be used as the primary actor for this transaction when submitting to EU Information System.

Example: 123e4567-e89b-12d3-a456-426614174000
isGeoLocationConfidentialbooleanOptional

Whether the geolocation data is confidential.

Default: falseExample: false
customDataobjectOptional

Metadata related to the transaction. This can be used to store any additional information that is relevant to the transaction. The input object must fulfill the following requirements: - max <=50 keys - max key length of <=255 characters - max string value length of <=255 characters - values must be either strings, number, or booleans - keys cannot contain the substrings proto, constructor, or prototype

Example: {"key1":"someValue","key2":true,"key3":1234}
statusstring · enumOptional

Status of this transaction.

Possible values:
Responses
201Success
application/json
idstringRequired

id of this entity

Example: 02c36247-1aad-41ba-aa49-f114ca4c263f
statusstring · enumRequired

Status of this transaction.

Possible values:
customIdstringRequired

Custom identifier. Can be used for internal reference or tracking purposes.

Example: DEC-24-238620
activityTypestringRequired

Type of transaction to be performed.

Example: EXPORT
countryOfActivitystringRequired

Two-letter country code (ISO 3166 Alpha-2) of the place of activity. Depends on activityType. For import, Country of entry into the EU. For Export, Country of exit from the EU. For Domestic Production and Trade, EU country where goods are sourced, manufactured or produced or made available on the market.

Example: IT
isGeoLocationConfidentialbooleanRequired

Whether the geolocation data is confidential.

Example: false
customDataobjectOptional

Metadata related to the transaction. This can be used to store any additional information that is relevant to the transaction. The input object must fulfill the following requirements: - max <=10 keys - max key length of <=255 characters - max string value length of <=255 characters - values must be either strings, number, or booleans - keys cannot contain the substrings proto, constructor, or prototype

Example: {"key1":"someValue","key2":true,"key3":1234}
createdAtstringRequired

ISO 8601

Example: 2023-07-26T15:03:48Z
updatedAtstringRequired

ISO 8601

Example: 2023-07-28T09:13:37Z
post/transactions
POST /transactions HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 846

{
  "customId": "DEC-24-238620",
  "activityType": "EXPORT",
  "countryOfActivity": "IT",
  "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
  "components": [
    {
      "hsn": "1201",
      "quantity": 123.45,
      "unit": "KGM",
      "description": "text",
      "namePairs": [
        {
          "commonName": "soybean",
          "scientificName": "Glycine max"
        },
        {
          "commonName": "edamame",
          "scientificName": "Glycine max var. viridis"
        }
      ],
      "dateOfProduction": "2021-01-01T00:00:00.000Z",
      "endDateOfProduction": "2022-01-01T00:00:00.000Z",
      "supplierBusinessId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
      "supplierBusinessIds": [
        "02c36247-1aad-41ba-aa49-f114ca4c263f"
      ],
      "plotIds": [
        "a78c1a68-d326-4217-a131-893f3c47a064",
        "e8d2e3e6-2c7c-4c4e-98a9-3e3f4e2c1a68"
      ],
      "ddsReferences": [
        {
          "id": "24DKYIGLPU3439",
          "verificationNumber": "4NAB3QYM"
        }
      ]
    }
  ],
  "isGeoLocationConfidential": "false",
  "customData": {
    "key1": "someValue",
    "key2": true,
    "key3": 1234
  },
  "status": "DRAFT"
}
{
  "id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
  "status": "DRAFT",
  "customId": "DEC-24-238620",
  "activityType": "EXPORT",
  "countryOfActivity": "IT",
  "isGeoLocationConfidential": "false",
  "components": [
    {
      "id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
      "hsn": "18010000",
      "commodity": "oil palm",
      "quantity": 123.45,
      "unit": "KGM",
      "description": "text",
      "namePairs": [
        {
          "commonName": "soybean",
          "scientificName": "Glycine max"
        }
      ],
      "transactionId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
      "dateOfProduction": "2021-01-01T00:00:00.000Z",
      "endDateOfProduction": "2021-01-01T00:00:00.000Z",
      "createdAt": "2023-07-26T15:03:48Z",
      "updatedAt": "2023-07-28T09:13:37Z",
      "supplierBusiness": {
        "id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
        "email": "user@example.com",
        "name": "Example Inc.",
        "username": "John Doe",
        "addressStreet": "Salawati 143",
        "addressZip": "98451",
        "addressPostcode": "12345",
        "addressArea": "Brandenburg",
        "addressCity": "West Papua",
        "addressCountryCode": "ID",
        "addressCountry": "Indonesia",
        "addressLine1": "Salawati 123",
        "addressLine2": "3rd floor",
        "createdAt": "2023-07-26T15:03:48Z",
        "updatedAt": "2023-07-28T09:13:37Z",
        "initialLocale": "id-ID",
        "units": "metric",
        "plots": [
          "[Circular Reference]"
        ],
        "newlyCreated": "true",
        "members": [
          "[Circular Reference]"
        ],
        "connectionsAsSource": [
          "[Circular Reference]"
        ],
        "connectionsAsTarget": [
          "[Circular Reference]"
        ],
        "businessInvitations": [
          "[Circular Reference]"
        ],
        "contactPerson": {},
        "machineToMachineClientId": "1234567890asdfghjk",
        "eori": "text",
        "vat": "text",
        "tracesEnvironment": "ACCEPTANCE"
      },
      "supplierBusinesses": [
        {
          "id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
          "email": "user@example.com",
          "name": "Example Inc.",
          "username": "John Doe",
          "addressStreet": "Salawati 143",
          "addressZip": "98451",
          "addressPostcode": "12345",
          "addressArea": "Brandenburg",
          "addressCity": "West Papua",
          "addressCountryCode": "ID",
          "addressCountry": "Indonesia",
          "addressLine1": "Salawati 123",
          "addressLine2": "3rd floor",
          "createdAt": "2023-07-26T15:03:48Z",
          "updatedAt": "2023-07-28T09:13:37Z",
          "initialLocale": "id-ID",
          "units": "metric",
          "plots": [
            "[Circular Reference]"
          ],
          "newlyCreated": "true",
          "members": [
            "[Circular Reference]"
          ],
          "connectionsAsSource": [
            "[Circular Reference]"
          ],
          "connectionsAsTarget": [
            "[Circular Reference]"
          ],
          "businessInvitations": [
            "[Circular Reference]"
          ],
          "contactPerson": {},
          "machineToMachineClientId": "1234567890asdfghjk",
          "eori": "text",
          "vat": "text",
          "tracesEnvironment": "ACCEPTANCE"
        }
      ],
      "plotIds": [
        "02c36247-1aad-41ba-aa49-f114ca4c263f",
        "02c36247-1aad-41ba-aa49-f114ca4c263f"
      ],
      "ddsReferences": [
        {
          "id": "24DKYIGLPU3439",
          "verificationNumber": "4NAB3QYM"
        }
      ]
    }
  ],
  "customData": {
    "key1": "someValue",
    "key2": true,
    "key3": 1234
  },
  "dds": {
    "id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
    "submitted": false,
    "submittedAt": "2023-07-26T15:03:48Z",
    "tracesDdsReferenceNumber": "25DEPPQEM17212",
    "tracesDdsVerificationNumber": "KZ4BVOCZ",
    "errors": [
      "Error message"
    ],
    "createdAt": "2023-07-26T15:03:48Z",
    "updatedAt": "2023-07-26T15:03:48Z"
  },
  "legalEntity": {
    "name": "Example Palm Oil Trader",
    "email": "user@example.com",
    "addressCity": "West Papua",
    "addressCountryCode": "ID",
    "addressLine1": "Salawati 123",
    "addressLine2": "2nd floor",
    "addressPostcode": "12345",
    "eori": {},
    "vat": "1234567890asdfghjk",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2021-01-01T00:00:00.000Z",
    "updatedAt": "2021-01-01T00:00:00.000Z"
  },
  "createdAt": "2023-07-26T15:03:48Z",
  "updatedAt": "2023-07-28T09:13:37Z"
}

Last updated